Subject: ntsec, ssh and cygwin
From: David Starks-Browning <[email-masked]>
To: Daniel Holtkamp <[email-masked]>
Cc: [email-masked]
Date: Thu, 28 Mar 2002 15:02:23 +0000

On Thursday 28 Mar 02, Daniel Holtkamp writes:
> Hello everyone,
> 
>    I´m using cygwin for some time now but today i ran into a problem.
>    I´ve got a user-request that they want to be able to scp files to a
>    host without entering their password everytime. No problem i
>    thought, deploy the public-key on the server and that should do it,
>    but it won´t work.

Well there's a bit more to it than that but we don't know if you did
the steps or not.  I don't think that ntsec is a prerequisite for
using ssh-agent.  I found it to be a prerequisite for logging in to my
domain account, but that's another story.

>    I´ve read some manual stuff and came to the conclusion that i
>    should use the ntsec variable. I do this because i think the
>    problem lies with the file-permissions on the ~/.ssh/id_rsa file
>    (group and world readable). Well, no problem, set the variable,
>    fire up cygwin and what happens ? Everything is messed up, can´t
>    even write to my home-directory anymore. I think it´s because i´m a
>    domain-user and not the local computer user. I reinstalled Cygwin
>    several times and always ran into the same problem. (Domain user is
>    not included in /etc/passwd ... only the local ones).

So add it then.  Use mkpasswd -d & mkgroup -d to determine the right
entries.

David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/